"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.renderString = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = require("path");
const utils_1 = require("./utils");
const transformer_1 = require("./transformer");
const generator_1 = require("./generator");
const renderMarkdown = (filename) => {
    const md = fs_1.default.readFileSync(path_1.resolve(filename)).toString();
    const mdast = utils_1.toAst(md);
    transformer_1.transformer(mdast);
    return generator_1.generator(mdast);
};
const renderString = (md) => {
    const mdast = utils_1.toAst(md);
    transformer_1.transformer(mdast);
    return generator_1.generator(mdast);
};
exports.renderString = renderString;
exports.default = renderMarkdown;
